Bug 175735 - Fix leak-checking for iOS Simulators
Summary: Fix leak-checking for iOS Simulators
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-18 13:45 PDT by Jonathan Bedard
Modified: 2017-08-22 08:46 PDT (History)
10 users (show)

See Also:


Attachments
Patch (2.80 KB, patch)
2017-08-18 13:49 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (1.63 KB, patch)
2017-08-21 17:13 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (2.08 KB, patch)
2017-08-21 17:43 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (1.97 KB, patch)
2017-08-22 08:05 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2017-08-18 13:45:23 PDT
We can't check leaks for iOS Simulators since we close the process before we check for leaks.
Comment 1 Jonathan Bedard 2017-08-18 13:49:07 PDT
Created attachment 318537 [details]
Patch
Comment 2 WebKit Commit Bot 2017-08-18 16:26:43 PDT
Comment on attachment 318537 [details]
Patch

Clearing flags on attachment: 318537

Committed r220942: <http://trac.webkit.org/changeset/220942>
Comment 3 WebKit Commit Bot 2017-08-18 16:26:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2017-08-18 16:27:29 PDT
<rdar://problem/33972756>
Comment 5 Jonathan Bedard 2017-08-21 17:13:04 PDT
Reopening to attach new patch.
Comment 6 Jonathan Bedard 2017-08-21 17:13:05 PDT
Created attachment 318700 [details]
Patch
Comment 7 Jonathan Bedard 2017-08-21 17:43:55 PDT
Created attachment 318709 [details]
Patch
Comment 8 David Kilzer (:ddkilzer) 2017-08-21 19:18:29 PDT
Comment on attachment 318709 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=318709&action=review

r=me

> Tools/Scripts/webkitpy/port/server_process.py:377
>          # read any remaining data on the pipes and return it.
>          if not killed:
> -            if self._use_win32_apis:
> +            if self._use_win32_apis and self._proc:
>                  self._wait_for_data_and_update_buffers_using_win32_apis(now)
> -            else:
> +            elif self._proc:
>                  self._wait_for_data_and_update_buffers_using_select(now, stopping=True)

Can you move the check for self._proc here?

        if not killed and self._proc:
Comment 9 Jonathan Bedard 2017-08-22 08:05:28 PDT
(In reply to David Kilzer (:ddkilzer) from comment #8)
> Comment on attachment 318709 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=318709&action=review
> 
> r=me
> 
> > Tools/Scripts/webkitpy/port/server_process.py:377
> >          # read any remaining data on the pipes and return it.
> >          if not killed:
> > -            if self._use_win32_apis:
> > +            if self._use_win32_apis and self._proc:
> >                  self._wait_for_data_and_update_buffers_using_win32_apis(now)
> > -            else:
> > +            elif self._proc:
> >                  self._wait_for_data_and_update_buffers_using_select(now, stopping=True)
> 
> Can you move the check for self._proc here?
> 
>         if not killed and self._proc:

Good point. Making that change.
Comment 10 Jonathan Bedard 2017-08-22 08:05:42 PDT
Created attachment 318757 [details]
Patch for landing
Comment 11 WebKit Commit Bot 2017-08-22 08:46:33 PDT
Comment on attachment 318757 [details]
Patch for landing

Clearing flags on attachment: 318757

Committed r221011: <http://trac.webkit.org/changeset/221011>
Comment 12 WebKit Commit Bot 2017-08-22 08:46:35 PDT
All reviewed patches have been landed.  Closing bug.